Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.engines
Class SM2Engine

    java.lang.Object
      org.bouncycastle.crypto.engines.SM2Engine

public class SM2Engine
extends java.lang.Object

SM2 public key encryption engine - based on https://tools.ietf.org/html/draft-shen-sm2-ecdsa-02.

Field Summary
`static int` | `C1C2C3`
`static int` | `C1C3C2`

Constructor Summary
`SM2Engine()`
`SM2Engine(Digest digest)`
`SM2Engine(Digest digest, int mode)`
`SM2Engine(int mode)`

Method Summary
`protected ECMultiplier` | `createBasePointMultiplier()`
`int` | `getOutputSize(int inputLen)`
`void` | `init(boolean forEncryption, CipherParameters param)`
`byte[]` | `processBlock(byte[] in, int inOff, int inLen)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### C1C2C3

    public static final int C1C2C3

See Also:
  Constant Field Values

### C1C3C2

    public static final int C1C3C2

See Also:
  Constant Field Values

Constructor Detail

### SM2Engine

    public SM2Engine()

### SM2Engine

    public SM2Engine(int mode)

### SM2Engine

    public SM2Engine(Digest digest)

### SM2Engine

    public SM2Engine(Digest digest,
                     int mode)

Method Detail

### init

    public void init(boolean forEncryption,
                     CipherParameters param)

### processBlock

    public byte[] processBlock(byte[] in,
                               int inOff,
                               int inLen)
                        throws InvalidCipherTextException

  Throws:
    `InvalidCipherTextException`

### getOutputSize

    public int getOutputSize(int inputLen)

### createBasePointMultiplier

    protected ECMultiplier createBasePointMultiplier()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD